package org.expressolivre.cte.email.pastas;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFolderPage;
import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.6] Gerenciar Pastas
 * 
 * Caso de Teste: EL-614:Excluir pasta
 * 
 * Caso de Teste: EL-616:Excluir pasta com subpastas
 * 
 * Caso de Teste: EL-1166:Excluir pasta em uso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-614
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-616
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1166
 * 
 * @see org.expressolivre.cte.email.pastas.CriarPastaTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 19, 2011 at 2:40:25 PM
 * 
 */

public class ApagarPastaTestCase extends BaseEmailTestCase {

	@Test
	public void deleteFolderWithSubFolder() {
		MailFolderPage mfp = mp.editFolder();
		mfp.deleteFolder(EMAIL_PASTA_TESTE);
		Alert confirm = driver.switchTo().alert();
		assert ("Remova suas sub-pastas primeiro.").equals(confirm.getText());
		confirm.accept();
	}

	@Test(dependsOnMethods = { "deleteFolderWithSubFolder" })
	public void deleteSubFolder() {
		MailFolderPage mfp = mp.editFolder();
		mfp.deleteSubFolder(EMAIL_PASTA_TESTE, "subfolder");
	}

	@Test
	public void deleteFolderInUse() {
		mp.openFolder("lINBOX/Seleniumtree_folders", false);
		MailFolderPage mfp = mp.editFolder();
		mfp.deleteFolder(EMAIL_PASTA_TESTE, true);
	}

	/**
	 * Exclui pasta padrao utilizada nos testes.
	 */
	@Test(dependsOnMethods = { "deleteFolderWithSubFolder", "deleteSubFolder",
			"deleteFolderInUse" })
	public void deleteFolder() {
		MailFolderPage mfp = mp.editFolder();
		mfp.deleteFolder(EMAIL_PASTA_TESTE, false);
		mp.assertMessage(MSG_EMAIL_PASTA_REMOVIDA);
	}

}
