package org.expressolivre.cte.email.pesquisar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailSearchPage;
import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1199:Pesquisar mensagens sem parâmetros e parâmetros
 * inválidos
 * 
 * Caso de Teste: EL-1200:Pesquisar mensagens com datas invalidas
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1199
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1200
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 25, 2011 at 10:20:49 AM
 * 
 */
public class PesquisarEmailParametroInvalidoTestCase extends BaseEmailTestCase {

	@Test
	public void pesquisaEmailSemParametro() {
		MailSearchPage msp = mp.openSearchMessageWindow();
		msp.doSearch();
		Alert alert = driver.switchTo().alert();
		assert (MSG_EMAIL_SEM_FILTRO_PESQUISA.equals(alert.getText()));
		alert.accept();
	}

	@Test
	public void pesquisaEmailDestaDataInvalida() {
		MailSearchPage msp = mp.openSearchMessageWindow();
		msp.setSearchSinceDate("223344");
		msp.doSearch();
		Alert alert = driver.switchTo().alert();
		assert ("Data inválida no campo 'Desta  Data'".equals(alert.getText()));
		alert.accept();
	}

	@Test
	public void pesquisaEmailAteDataInvalida() {
		MailSearchPage msp = mp.openSearchMessageWindow();
		msp.setSearchSinceDate("");
		msp.setSearchOnDate("918272");
		msp.doSearch();
		Alert alert = driver.switchTo().alert();
		assert ("Data inválida no campo 'Na Data'".equals(alert.getText()));
		alert.accept();
	}

	@Test
	public void pesquisaEmailNestaDataInvalida() {
		MailSearchPage msp = mp.openSearchMessageWindow();
		msp.setSearchSinceDate("");
		msp.setSearchOnDate("");
		msp.setSearchBeforeDate("837378");
		msp.doSearch();
		Alert alert = driver.switchTo().alert();
		assert ("Data inválida no campo 'Até a Data'".equals(alert.getText()));
		alert.accept();

	}

}
