package org.expressolivre.cte.pages.email;

import org.expressolivre.cte.pages.common.Page;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * Pagina de pesquisa de mensagens.
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jun 16, 2011 at 3:47:12 PM
 * 
 */
public class MailSearchPage extends Page {

	@FindBy(id = "txt_de")
	private WebElement searchRemetente;

	@FindBy(id = "txt_para")
	private WebElement searchTo;

	@FindBy(id = "txt_cc")
	private WebElement searchCopy;

	@FindBy(id = "txt_ass")
	private WebElement searchSubject;

	@FindBy(id = "txt_body")
	private WebElement searchBody;

	@FindBy(id = "since_date")
	private WebElement searchSinceDate;

	@FindBy(id = "before_date")
	private WebElement searchBeforeDate;

	@FindBy(id = "on_date")
	private WebElement searchOnDate;

	@FindBy(id = "flagged")
	private WebElement searchImportantFilter;

	@FindBy(id = "seen")
	private WebElement searchSeenFilter;

	@FindBy(id = "answered")
	private WebElement searchAnsweredFilter;

	@FindBy(id = "recent")
	private WebElement searchRecentFilter;

	@FindBy(id = "incluir")
	private WebElement includeFolderForSearch;

	@FindBy(xpath = "//div[@id='window_search']/div[@id='div_button_search']/table/tbody/tr/td[1]/input")
	private WebElement searchButton;

	@FindBy(xpath = "//div[@id='window_search']/div[@id='div_button_search']/table/tbody/tr/td[3]/input")
	private WebElement closeSearchButton;

	public MailSearchPage(WebDriver driver) {
		super(driver);
		// TODO Auto-generated constructor stub
	}

	public void setSearchRemetente(String searchRemetente) {
		this.searchRemetente.sendKeys(searchRemetente);
	}

	public void setSearchTo(String searchTo) {
		this.searchTo.sendKeys(searchTo);
	}

	public void setSearchCopy(String searchCopy) {
		this.searchCopy.sendKeys(searchCopy);
	}

	public void setSearchSubject(String searchSubject) {
		this.searchSubject.sendKeys(searchSubject);
	}

	public void setSearchBody(String searchBody) {
		this.searchBody.sendKeys(searchBody);
	}

	public void setSearchSinceDate(String searchSinceDate) {
		this.searchSinceDate.sendKeys(searchSinceDate);
	}

	public void setSearchBeforeDate(String searchBeforeDate) {
		this.searchBeforeDate.sendKeys(searchBeforeDate);
	}

	public void setSearchOnDate(String searchOnDate) {
		this.searchOnDate.sendKeys(searchOnDate);
	}

	public void setSearchSeenFilter(String searchSeenFilter) {
		super.setComboValue(this.searchSeenFilter, searchSeenFilter);
	}

	public void setSearchAnsweredFilter(String searchAnsweredFilter) {
		super.setComboValue(this.searchAnsweredFilter, searchAnsweredFilter);
	}

	public void setSearchRecentFilter(String searchRecentFilter) {
		super.setComboValue(this.searchRecentFilter, searchRecentFilter);
	}

	/**
	 * Pesquisa apenas mensagens importantes.
	 * 
	 * @param flag
	 */
	public void searchImportantMessage(String flag) {
		super.setComboValue(searchImportantFilter, flag);
	}

	/**
	 * Pesquisa apenas mensagens lidas.
	 * 
	 * @param flag
	 */
	public void searchSeenMessage(String flag) {
		super.setComboValue(searchSeenFilter, flag);
	}

	/**
	 * Escolhe pastas a serem pesquisadas.
	 * 
	 * @param folder
	 */
	public void setSearchFolders(String folder) {
		super.clickElement(By.id(folder));
		includeFolderForSearch.click();
	}

	public void doSearch() {
		searchButton.click();
	}

	public void closeSearchWindow() {
		closeSearchButton.click();
	}

}
